Index: trunk/src/org/expeditee/assets/resources-public/framesets/authentication/1.exp
===================================================================
--- trunk/src/org/expeditee/assets/resources-public/framesets/authentication/1.exp	(revision 1497)
+++ trunk/src/org/expeditee/assets/resources-public/framesets/authentication/1.exp	(revision 1510)
@@ -1,9 +1,11 @@
-V 174
+V 192
 p 400
 U authadmin
 D 07Jan2019[14:34]
-M authadmin
-d 05Dec2019[16:30]
+M ${USER.NAME}
+d 10Feb2020[16:42]
 B 100 100 39 100
+E 300
+e 300
 Z
 
@@ -272,17 +274,37 @@
 Z
 
-ActiveTime:5208691:17:01
-DarkTime:-5207756:-22:-36
-30:40:128 875 299 Rd
-30:40:231 875 299 Ru
-30:41:779 854 302 Rd
-30:41:857 852 302 Ru
-30:58:750 388 283 Rd
-30:58:813 388 283 Ru
-31:00:138 869 299 Rd
-31:00:231 869 299 Ru
-31:01:549 382 334 Rd
-31:01:642 382 334 Ru
-31:04:348 881 299 Md
-31:04:442 881 299 Mu
-31:05:727 861 427 kRIGHT_ARROW
+ActiveTime:9600658:59:05
+DarkTime:-9597855:-50:-10
+42:56:700 748 282 Ld
+42:56:780 748 282 Lu
+42:57:836 758 429 Md
+42:58:039 758 429 Rd
+42:58:453 758 429 Ru
+42:58:484 758 429 Mu
+42:59:128 758 369 Md
+42:59:160 758 369 Rd
+42:59:404 758 369 Mu
+42:59:412 758 369 Ru
+43:01:622 775 292 Md
+43:01:676 775 292 Rd
+43:01:916 775 292 Ru
+43:01:917 775 292 Mu
+43:04:863 775 292 kCTRL
+43:05:362 775 292 kCTRL
+43:05:394 775 292 kCTRL
+43:05:427 775 292 kCTRL
+43:05:460 775 292 kCTRL
+43:05:496 775 292 kCTRL
+43:05:526 775 292 kCTRL
+43:05:558 775 292 kCTRL
+43:05:591 775 292 kCTRL
+43:05:624 775 292 kCTRL
+43:05:657 775 292 kCTRL
+43:05:690 775 292 kCTRL
+43:05:723 775 292 kCTRL
+43:05:756 775 292 kCTRL
+43:05:789 775 292 kCTRL
+43:05:822 775 292 kCTRL
+43:05:855 775 292 kCTRL
+43:05:889 775 292 kCTRL
+43:05:908 775 292 kS
Index: trunk/src/org/expeditee/assets/resources-public/framesets/encryption/0.exp
===================================================================
--- trunk/src/org/expeditee/assets/resources-public/framesets/encryption/0.exp	(revision 1510)
+++ trunk/src/org/expeditee/assets/resources-public/framesets/encryption/0.exp	(revision 1510)
@@ -0,0 +1,61 @@
+V 3
+U authadmin
+D 05Feb2020[15:32]
+M authadmin
+d 10Feb2020[14:11]
+E 300
+e 300
+Z
+
+S T 3
+s 10Feb2020[14:11.03]
+d 50 50 50 100
+P 1525 30
+T @ao: 1
+F 1
+o authadmin
+v S
+f tr18
+t -1.0
+b 0.0
+m 0.0
+h -1.0
+_sl F
+
+Z
+
+Z
+
+Z
+
+ActiveTime:00:00:04
+DarkTime:00:00:00
+11:11:035 1128 309 Md
+11:11:184 1128 309 Mu
+11:14:146 979 189 kSHIFT
+11:14:538 979 189 kP
+11:14:770 989 189 kO
+11:14:921 998 189 kS
+11:15:090 1005 189 kI
+11:15:243 1010 189 kT
+11:15:336 1014 189 kI
+11:15:384 1019 189 kO
+11:15:448 1029 189 kN
+11:15:691 1038 189 kSHIFT
+11:21:444 1011 176 Rd
+11:21:528 1011 176 Ru
+11:22:347 1543 14 Md
+11:22:456 1543 14 Mu
+11:25:859 1108 179 kBACKSPACE
+11:25:994 1097 189 kBACKSPACE
+11:27:476 1036 179 Rd
+11:27:568 1036 179 Ru
+11:28:715 1538 13 Md
+11:28:824 1538 13 Mu
+11:31:292 1143 316 Md
+11:31:361 1143 316 Rd
+11:31:520 1143 316 Ru
+11:31:552 1143 316 Mu
+11:32:404 1030 174 Md
+11:32:528 1030 174 Mu
+11:33:607 1147 306 kRIGHT_ARROW
Index: trunk/src/org/expeditee/assets/resources-public/framesets/encryption/1.exp
===================================================================
--- trunk/src/org/expeditee/assets/resources-public/framesets/encryption/1.exp	(revision 1510)
+++ trunk/src/org/expeditee/assets/resources-public/framesets/encryption/1.exp	(revision 1510)
@@ -0,0 +1,365 @@
+V 24
+U authadmin
+D 05Feb2020[15:32]
+M authadmin
+d 07Feb2020[14:17]
+E 300
+e 300
+Z
+
+S P 528
+s 07Feb2020[13:24.35]
+d 0 0 0 100
+P 1678 799
+e 100 59 59 100
+H -10
+I 70
+o authadmin
+v S
+h 1.0
+l 532
+c 524
+
+S P 529
+s 07Feb2020[13:24.35]
+d 0 0 0 100
+P 0 799
+e 100 59 59 100
+R 0
+I 70
+o authadmin
+v S
+h 1.0
+l 532
+c 524
+
+S T 415
+s 05Feb2020[16:27.09]
+d 0 0 100 100
+P 952 830
+T -->
+R 950
+I 45
+o authadmin
+v S
+f mr18
+t -1.0
+b 0.0
+m 0.0
+h -1.0
+_sl F
+
+S T 209
+s 05Feb2020[15:56.48]
+d 0 0 100 100
+P 28 830
+T FrameEncryptionLabel
+X append
+R 15
+I 45
+o authadmin
+v S
+f mr18
+t -1.0
+b 0.0
+m 0.0
+h -1.0
+_sl F
+
+S T 343
+s 05Feb2020[16:18.03]
+d 0 0 100 100
+P 373 830
+T EncryptionLabel
+X append
+R 360
+I 45
+o authadmin
+v S
+f mr18
+t -1.0
+b 0.0
+m 0.0
+h -1.0
+_sl F
+
+S T 267
+s 05Feb2020[16:07.15]
+d 0 0 100 100
+P 663 830
+T FrameEncryptionPermission
+X append
+R 650
+I 45
+o authadmin
+v S
+f mr18
+t -1.0
+b 0.0
+m 0.0
+h -1.0
+_sl F
+
+S T 412
+s 05Feb2020[16:26.31]
+d 0 0 100 100
+P 1043 830
+T Example [Only Owner can Encrypt Frame]
+X GenFrameEncryption300
+R 1030
+I 45
+o authadmin
+v S
+f mr18
+t -1.0
+b 0.0
+m 0.0
+h -1.0
+_sl F
+
+S T 353
+s 05Feb2020[16:19.12]
+d 0 0 100 100
+P 663 860
+T ItemEncryptionPermission
+X append
+R 650
+I 15
+o authadmin
+v S
+f mr18
+t -1.0
+b 0.0
+m 0.0
+h -1.0
+_sl F
+
+S T 322
+s 05Feb2020[16:16.13]
+d 0 0 100 100
+P 28 860
+T HomogeneousEncryptionLabel
+X append
+R 15
+I 15
+o authadmin
+v S
+f mr18
+t -1.0
+b 0.0
+m 0.0
+h -1.0
+_sl F
+
+S T 511
+s 05Feb2020[16:37.25]
+d 0 0 100 100
+P 952 860
+T -->
+R 950
+I 15
+o authadmin
+v S
+f mr18
+t -1.0
+b 0.0
+m 0.0
+h -1.0
+_sl F
+
+S T 454
+s 05Feb2020[16:32.44]
+d 0 0 100 100
+P 1043 860
+T Example [Can Encrypt Items with Labels That Owner Has]
+X GenItemEncryption322
+R 1030
+I 15
+o authadmin
+v S
+f mr18
+t -1.0
+b 0.0
+m 0.0
+h -1.0
+_sl F
+
+S T 533
+s 07Feb2020[14:00.29]
+d 0 0 100 100
+P 373 860
+T GenerateSecret
+X append
+R 360
+I 15
+o authadmin
+v S
+f mr18
+t -1.0
+b 0.0
+m 0.0
+h -1.0
+_sl F
+
+S P 114
+s 05Feb2020[15:38.44]
+d 0 0 0 100
+P -5 881
+e 40 60 60 100
+R -5
+I -12
+o authadmin
+v S
+h 1.0
+l 117 118
+c 110 109
+
+S P 115
+s 05Feb2020[15:38.44]
+d 0 0 0 100
+P 1683 881
+e 40 60 60 100
+H -15
+I -12
+o authadmin
+v S
+h 1.0
+l 118 119
+c 109 111
+
+S P 201
+s 05Feb2020[15:55.01]
+d 0 0 0 100
+P -5 884
+e 59 100 59 100
+R -5
+I -15
+o authadmin
+v S
+h 1.0
+l 204 205
+c 197 196
+
+S P 202
+s 05Feb2020[15:55.01]
+d 0 0 0 100
+P 1683 884
+e 59 100 59 100
+H -15
+I -15
+o authadmin
+v S
+h 1.0
+l 205 206
+c 196 198
+
+S P 200
+s 05Feb2020[15:55.01]
+d 0 0 0 100
+P -5 1272
+e 59 100 59 100
+R -5
+o authadmin
+v S
+h 1.0
+l 204 203
+c 197 195
+
+S P 199
+s 05Feb2020[15:55.01]
+d 0 0 0 100
+P 1683 1272
+e 59 100 59 100
+H -15
+o authadmin
+v S
+h 1.0
+l 206 203
+c 198 195
+
+S P 112
+s 05Feb2020[15:38.44]
+d 0 0 0 100
+P 1683 2278
+e 40 60 60 100
+H -15
+o authadmin
+v S
+h 1.0
+l 119 116
+c 111 108
+
+S P 113
+s 05Feb2020[15:38.44]
+d 0 0 0 100
+P -5 2278
+e 40 60 60 100
+R -5
+o authadmin
+v S
+h 1.0
+l 117 116
+c 110 108
+
+Z
+
+L 532 1
+s 528 529
+
+L 117 1
+s 113 114
+
+L 118 1
+s 114 115
+
+L 119 1
+s 115 112
+
+L 204 1
+s 200 201
+
+L 205 1
+s 201 202
+
+L 206 1
+s 202 199
+
+L 203 1
+s 199 200
+
+L 116 1
+s 112 113
+
+Z
+
+C 524 3
+s 528 529
+
+C 110 2
+s 113 114
+
+C 109 3
+s 114 115
+
+C 111 2
+s 115 112
+
+C 197 2
+s 200 201
+
+C 196 3
+s 201 202
+
+C 198 2
+s 202 199
+
+C 195 3
+s 199 200
+
+C 108 3
+s 112 113
+
+Z
+
+ActiveTime:00:25:09
+DarkTime:00:03:16
Index: trunk/src/org/expeditee/assets/resources-public/framesets/encryption/2.exp
===================================================================
--- trunk/src/org/expeditee/assets/resources-public/framesets/encryption/2.exp	(revision 1510)
+++ trunk/src/org/expeditee/assets/resources-public/framesets/encryption/2.exp	(revision 1510)
@@ -0,0 +1,313 @@
+V 14
+U authadmin
+D 07Feb2020[14:16]
+M authadmin
+d 10Feb2020[14:11]
+B 100 100 39 100
+E 300
+e 300
+Z
+
+S T 13
+s 07Feb2020[14:17.25]
+d 50 50 50 100
+P 1525 30
+T @ao: 1
+F 1
+o authadmin
+v S
+f tr18
+t -1.0
+b 0.0
+m 0.0
+h -1.0
+_sl F
+
+S T 21
+s 07Feb2020[14:19.45]
+d 0 0 0 100
+P 105 65
+T Secure Expeditee:
+o authadmin
+v S
+f Metamorphous_r36
+t -1.0
+b 0.0
+m 0.0
+h -1.0
+_sl F
+
+S T 56
+s 07Feb2020[14:39.55]
+d 0 0 0 100
+P 1499 68
+T @ItemTemplate
+o authadmin
+v S
+f Amaranth_r24
+t -1.0
+b 0.0
+m 0.0
+h -1.0
+_sl F
+
+S T 20
+s 07Feb2020[14:19.28]
+d 0 0 0 100
+P 20 104
+T 🔒
+o authadmin
+v S
+f tr74
+t -1.0
+b 0.0
+m 0.0
+h -1.0
+_sl F
+
+S T 22
+s 07Feb2020[14:19.51]
+d 0 0 0 100
+P 105 115
+T Sleek like Aphroditē–Wise like Athēnâ.
+o authadmin
+v S
+f Metamorphous_r36
+t -1.0
+b 0.0
+m 0.0
+h -1.0
+_sl F
+
+S T 38
+s 07Feb2020[14:25.07]
+d 0 0 0 100
+P 105 165
+T Encryption Cockpit
+o authadmin
+v S
+f Metamorphous_r36
+t -1.0
+b 0.0
+m 0.0
+h -1.0
+_sl F
+
+S T 59
+s 10Feb2020[14:01.44]
+d 0 0 0 100
+P 36 220
+T Welcome to the Expeditee Encryption Cockpit.  This collection of frames is designed let you play with encryption and surrogates before using this functionality in a more serious situation.  It can also be used to take a copy of the active overlay supplying related actions.  
+o authadmin
+v S
+f Amaranth_r24
+t -1.0
+b 0.0
+m 0.0
+w 950
+h -1.0
+_sl F
+
+Z
+
+Z
+
+Z
+
+ActiveTime:00:03:45
+DarkTime:00:10:34
+11:35:258 1529 15 Md
+11:35:424 1529 15 Mu
+11:46:044 1500 129 Md
+11:46:145 1500 129 Mu
+11:49:268 1621 55 Md
+11:49:472 1621 55 Mu
+11:51:369 202 351 Md
+11:51:466 202 351 Rd
+11:51:673 202 351 Ru
+11:51:705 202 351 Mu
+12:13:419 394 249 kB
+12:13:603 407 249 kE
+12:13:875 418 249 kF
+12:14:100 427 249 kO
+12:14:209 439 249 kR
+12:14:273 448 249 kE
+12:15:491 465 249 kY
+12:15:586 478 249 kO
+12:15:692 491 249 kU
+13:33:916 509 249 kLEFT_ARROW
+13:34:421 503 249 kLEFT_ARROW
+13:34:446 490 249 kLEFT_ARROW
+13:34:479 478 249 kLEFT_ARROW
+13:34:515 465 249 kLEFT_ARROW
+13:34:546 458 249 kLEFT_ARROW
+13:34:578 447 249 kLEFT_ARROW
+13:34:623 438 249 kLEFT_ARROW
+13:34:850 426 249 kLEFT_ARROW
+13:35:020 418 249 kLEFT_ARROW
+13:35:172 406 249 kLEFT_ARROW
+13:35:283 394 249 kLEFT_ARROW
+13:35:404 387 249 kLEFT_ARROW
+13:35:738 378 249 kLEFT_ARROW
+13:35:887 366 249 kA
+13:36:204 380 249 kT
+13:37:626 388 249 kRIGHT_ARROW
+13:37:844 399 249 kRIGHT_ARROW
+13:38:012 409 249 kRIGHT_ARROW
+13:38:172 415 249 kRIGHT_ARROW
+13:38:356 428 249 kRIGHT_ARROW
+13:38:529 439 249 kRIGHT_ARROW
+13:38:700 448 249 kRIGHT_ARROW
+13:38:841 460 249 kRIGHT_ARROW
+13:38:988 469 249 kRIGHT_ARROW
+13:39:130 480 249 kRIGHT_ARROW
+13:39:276 486 249 kRIGHT_ARROW
+13:39:409 499 249 kRIGHT_ARROW
+13:39:553 512 249 kRIGHT_ARROW
+14:20:612 526 247 kBACKSPACE
+14:20:836 512 249 kBACKSPACE
+14:20:980 500 249 kBACKSPACE
+14:21:107 487 249 kBACKSPACE
+14:21:948 487 249 kU
+14:22:100 500 249 kS
+14:22:187 509 249 kI
+14:22:242 516 249 kN
+14:22:356 529 249 kG
+14:22:701 548 249 kT
+14:22:770 557 249 kH
+14:22:818 570 249 kE
+14:26:490 587 249 kBACKSPACE
+14:26:644 581 249 kBACKSPACE
+14:26:772 570 249 kBACKSPACE
+14:26:890 557 249 kBACKSPACE
+14:27:228 548 249 kT
+14:27:275 557 249 kH
+14:27:330 570 249 kI
+14:27:410 576 249 kS
+14:27:612 592 249 kF
+14:27:657 600 249 kU
+14:27:836 613 249 kN
+14:27:954 627 249 kC
+14:28:162 636 249 kT
+14:28:234 645 249 kI
+14:28:282 651 249 kO
+14:28:338 664 249 kN
+14:28:627 677 249 kA
+14:28:730 690 249 kL
+14:28:893 697 249 kI
+14:28:954 703 249 kT
+14:29:124 711 249 kY
+14:29:820 730 249 kI
+14:29:898 737 249 kN
+14:30:668 756 249 kA
+14:30:916 775 249 kM
+14:30:986 794 249 kO
+14:31:106 807 249 kR
+14:31:178 815 249 kE
+14:33:332 833 249 kS
+14:33:492 843 249 kE
+14:33:546 854 249 kR
+14:34:068 862 249 kI
+14:34:256 869 249 kO
+14:34:386 882 249 kU
+14:34:539 895 249 kS
+14:34:893 910 249 kS
+14:34:979 921 249 kI
+14:35:253 927 249 kU
+14:35:556 940 249 kBACKSPACE
+14:35:658 927 249 kT
+14:36:005 935 249 kU
+14:36:220 949 249 kA
+14:36:660 961 249 kT
+14:36:916 969 249 kI
+14:36:955 976 249 kO
+14:37:010 113 278 kN
+14:58:173 146 278 kSHIFT
+14:58:300 146 278 kI
+14:58:588 152 278 kT
+15:02:197 167 278 kC
+15:02:282 177 278 kA
+15:02:493 189 278 kN
+15:02:925 209 278 kA
+15:03:003 222 278 kL
+15:03:892 228 278 kS
+15:03:929 238 278 kO
+15:04:397 257 278 kB
+15:04:613 270 278 kE
+15:04:837 287 278 kS
+15:04:843 297 278 kU
+15:04:898 310 278 kE
+15:05:076 322 278 kD
+15:05:629 341 278 kBACKSPACE
+15:06:029 334 278 kBACKSPACE
+15:06:147 322 278 kBACKSPACE
+15:06:266 310 278 kBACKSPACE
+15:06:492 297 278 kBACKSPACE
+15:06:764 287 278 kU
+15:06:851 300 278 kS
+15:06:922 310 278 kE
+15:07:133 322 278 kD
+15:07:372 341 278 kT
+15:07:442 349 278 kO
+15:16:852 368 278 kT
+15:16:922 376 278 kA
+15:17:173 389 278 kK
+15:17:274 402 278 kE
+15:17:427 419 278 kA
+15:17:725 438 278 kC
+15:17:778 448 278 kO
+15:17:948 460 278 kP
+15:18:125 473 278 kY
+15:18:325 492 278 kO
+15:18:765 505 278 kF
+15:20:453 519 278 kT
+15:20:580 528 278 kH
+15:20:642 541 278 kE
+15:21:205 558 278 kA
+15:21:460 571 278 kC
+15:21:749 581 278 kT
+15:21:834 590 278 kI
+15:21:972 596 278 kV
+15:22:092 608 278 kE
+15:22:685 626 278 kO
+15:22:821 638 278 kV
+15:23:013 651 278 kE
+15:23:082 662 278 kR
+15:23:338 671 278 kL
+15:23:554 678 278 kO
+15:23:741 691 278 kA
+15:24:037 703 278 kBACKSPACE
+15:24:163 691 278 kBACKSPACE
+15:24:276 678 278 kA
+15:24:476 691 278 kY
+15:28:843 710 278 kS
+15:28:923 720 278 kU
+15:29:116 733 278 kP
+15:29:259 746 278 kP
+15:29:493 759 278 kL
+15:31:604 766 278 kY
+15:31:765 779 278 kI
+15:31:835 785 278 kN
+15:31:899 798 278 kG
+15:41:901 817 278 kR
+15:41:946 826 278 kE
+15:42:068 837 278 kL
+15:42:146 844 278 kA
+15:42:226 856 278 kT
+15:42:331 865 278 kE
+15:42:573 877 278 kD
+15:43:388 896 278 kA
+15:43:533 908 278 kC
+15:43:757 919 278 kT
+15:43:860 927 278 kI
+15:43:898 934 278 kO
+15:43:954 946 278 kN
+15:44:059 959 278 kS
+16:02:781 1160 153 kCTRL
+16:03:285 1160 153 kCTRL
+16:03:313 1160 153 kCTRL
+16:03:344 1160 153 kCTRL
+16:03:377 1160 153 kCTRL
+16:03:424 1160 153 kCTRL
+16:03:444 1160 153 kCTRL
+16:03:466 1160 153 kS
Index: trunk/src/org/expeditee/assets/resources-public/framesets/encryption/frame.inf
===================================================================
--- trunk/src/org/expeditee/assets/resources-public/framesets/encryption/frame.inf	(revision 1510)
+++ trunk/src/org/expeditee/assets/resources-public/framesets/encryption/frame.inf	(revision 1510)
@@ -0,0 +1,1 @@
+encryption2
Index: trunk/src/org/expeditee/assets/resources-public/framesets/multiuser/1.exp
===================================================================
--- trunk/src/org/expeditee/assets/resources-public/framesets/multiuser/1.exp	(revision 1497)
+++ trunk/src/org/expeditee/assets/resources-public/framesets/multiuser/1.exp	(revision 1510)
@@ -1,8 +1,10 @@
-V 192
+V 202
 U authadmin
 D 04Jan2019[10:48]
 M bryce
-d 27May2019[16:05]
+d 10Feb2020[16:40]
 B 100 100 39 100
+E 300
+e 300
 Z
 
@@ -18,5 +20,5 @@
 m 0.0
 h 0.0
-p 40
+p 400
 _sl F
 
@@ -33,5 +35,5 @@
 m 0.0
 h -1.0
-p 40
+p 400
 _sl F
 
@@ -48,5 +50,5 @@
 w 300
 h -1.0
-p 40
+p 400
 _sl F
 
@@ -63,5 +65,5 @@
 w 300
 h -1.0
-p 40
+p 400
 _sl F
 
@@ -77,5 +79,5 @@
 m 0.0
 h -1.0
-p 40
+p 400
 _sl F
 
@@ -95,5 +97,5 @@
 M 435
 h 1.0
-p 40
+p 400
 _sl F
 
@@ -113,5 +115,5 @@
 M 435
 h 1.0
-p 40
+p 400
 _sl F
 
@@ -127,5 +129,5 @@
 m 0.0
 h 0.0
-p 40
+p 400
 _sl F
 
@@ -148,5 +150,5 @@
 M 200
 h 1.0
-p 41
+p 411
 _sl F
 
@@ -169,5 +171,5 @@
 M 200
 h 1.0
-p 41
+p 411
 _sl F
 
@@ -189,5 +191,5 @@
 M 200
 h 1.0
-p 41
+p 411
 _sl F
 
@@ -210,5 +212,5 @@
 M 200
 h 1.0
-p 41
+p 411
 _sl F
 
@@ -233,5 +235,5 @@
 M 200
 h 1.0
-p 41
+p 411
 _sl F
 
@@ -253,5 +255,5 @@
 M 200
 h 1.0
-p 41
+p 411
 _sl F
 
@@ -276,5 +278,5 @@
 M 200
 h 1.0
-p 41
+p 411
 _sl F
 
@@ -306,50 +308,6 @@
 Z
 
-ActiveTime:01:54:22
+ActiveTime:01:54:32
 DarkTime:02:59:19
-05:47:304 741 351 kCTRL
-05:47:465 741 351 kV
-05:47:863 749 347 Md
-05:47:950 749 347 Mu
-05:48:720 753 342 kSHIFT
-05:48:878 753 342 kA
-05:49:118 762 347 kC
-05:49:454 770 347 kT
-05:49:622 775 347 kI
-05:49:662 780 347 kO
-05:49:718 789 347 kN
-05:49:910 798 347 kSHIFT
-05:51:367 806 347 Md
-05:51:510 806 347 Mu
-05:52:330 385 511 Md
-05:52:446 385 511 Mu
-05:53:386 306 529 Ld
-05:53:513 306 529 Rd
-05:53:662 306 529 Lu
-05:53:687 306 529 Ru
-05:57:713 717 269 Md
-05:57:880 717 269 Rd
-05:58:758 717 269 Ru
-05:58:791 717 269 Mu
-05:59:769 306 523 Ld
-05:59:830 306 523 Lu
-06:04:976 758 396 kSHIFT
-06:05:095 758 396 kD
-06:05:304 771 396 kA
-06:05:410 779 396 kV
-06:05:449 788 396 kI
-06:05:575 793 396 kD
-06:07:207 786 398 Md
-06:07:302 786 398 Mu
-06:08:038 316 529 Ld
-06:08:174 316 529 Lu
-06:11:175 787 387 Md
-06:11:303 787 387 Mu
-06:17:623 834 392 Md
-06:17:742 834 392 Mu
-06:18:472 466 644 Md
-06:18:585 464 644 Mu
-06:22:650 443 647 Md
-06:22:807 443 647 Rd
-06:23:030 443 647 Ru
-06:23:086 443 647 Mu
+40:38:436 868 485 Ld
+40:38:547 868 485 Lu
Index: trunk/src/org/expeditee/assets/resources-public/framesets/test/0.exp
===================================================================
--- trunk/src/org/expeditee/assets/resources-public/framesets/test/0.exp	(revision 1510)
+++ trunk/src/org/expeditee/assets/resources-public/framesets/test/0.exp	(revision 1510)
@@ -0,0 +1,31 @@
+V 0
+U authadmin
+D 05Feb2020[15:33]
+d 05Feb2020[15:33]
+E 300
+e 300
+Z
+
+S T 3
+s 05Feb2020[15:33.04]
+d 0 0 100 100
+P 15 58
+T Test0
+o authadmin
+v S
+f sb30
+t -1.0
+b 0.0
+m 0.0
+w 1586
+h -1.0
+_sl F
+
+Z
+
+Z
+
+Z
+
+ActiveTime:00:00:00
+DarkTime:00:00:00
Index: trunk/src/org/expeditee/assets/resources-public/framesets/test/1.exp
===================================================================
--- trunk/src/org/expeditee/assets/resources-public/framesets/test/1.exp	(revision 1510)
+++ trunk/src/org/expeditee/assets/resources-public/framesets/test/1.exp	(revision 1510)
@@ -0,0 +1,32 @@
+V 0
+U authadmin
+D 05Feb2020[15:33]
+M authadmin
+d 05Feb2020[15:33]
+E 300
+e 300
+Z
+
+S T 3
+s 05Feb2020[15:33]
+d 0 0 100 100
+P 15 58
+T Test
+o authadmin
+v S
+f sb30
+t -1.0
+b 0.0
+m 0.0
+w 1586
+h -1.0
+_sl F
+
+Z
+
+Z
+
+Z
+
+ActiveTime:00:00:00
+DarkTime:00:00:00
Index: trunk/src/org/expeditee/assets/resources-public/framesets/test/frame.inf
===================================================================
--- trunk/src/org/expeditee/assets/resources-public/framesets/test/frame.inf	(revision 1510)
+++ trunk/src/org/expeditee/assets/resources-public/framesets/test/frame.inf	(revision 1510)
@@ -0,0 +1,1 @@
+Test1
Index: trunk/src/org/expeditee/assets/resources-public/messages/messages/0.exp
===================================================================
--- trunk/src/org/expeditee/assets/resources-public/messages/messages/0.exp	(revision 1510)
+++ trunk/src/org/expeditee/assets/resources-public/messages/messages/0.exp	(revision 1510)
@@ -0,0 +1,31 @@
+V 0
+U authadmin
+D 10Feb2020[16:43]
+d 10Feb2020[16:43]
+E 300
+e 300
+Z
+
+S T 3
+s 10Feb2020[16:43.05]
+d 0 0 100 100
+P 15 58
+T Messages0
+o authadmin
+v S
+f sb30
+t -1.0
+b 0.0
+m 0.0
+w 875
+h -1.0
+_sl F
+
+Z
+
+Z
+
+Z
+
+ActiveTime:00:00:00
+DarkTime:00:00:00
Index: trunk/src/org/expeditee/assets/resources-public/messages/messages/frame.inf
===================================================================
--- trunk/src/org/expeditee/assets/resources-public/messages/messages/frame.inf	(revision 1510)
+++ trunk/src/org/expeditee/assets/resources-public/messages/messages/frame.inf	(revision 1510)
@@ -0,0 +1,1 @@
+Messages1