Index: /trunk/src/org/expeditee/core/Anchoring.java
===================================================================
--- /trunk/src/org/expeditee/core/Anchoring.java	(revision 1524)
+++ /trunk/src/org/expeditee/core/Anchoring.java	(revision 1525)
@@ -131,12 +131,12 @@
 	}
 			
-	private void setXAnchor(Integer offset, VerticalDirection left) {
+	private void setXAnchor(Integer offset, VerticalDirection vertical_direction) {
 		_xAnchor = offset;
-		verticalDirection = left;
+		verticalDirection = vertical_direction;
 	}
 
-	private void setYAnchor(Integer offset, HorizontalDirection top) {
+	private void setYAnchor(Integer offset, HorizontalDirection horizontal_direction) {
 		_yAnchor = offset;
-		horizonalDirection = top;
+		horizonalDirection = horizontal_direction;
 	}
 	
Index: /trunk/src/org/expeditee/items/widgets/Widget.java
===================================================================
--- /trunk/src/org/expeditee/items/widgets/Widget.java	(revision 1524)
+++ /trunk/src/org/expeditee/items/widgets/Widget.java	(revision 1525)
@@ -71,4 +71,5 @@
 	public final static float DEFAULT_MINIMUM_BORDER_THICKNESS = 1.0f;
 	
+	// @formatter:off
 	/* GUIDE:
 	 * d1--l1---d2
@@ -78,6 +79,7 @@
 	 * d4---l3--d3
 	 */
-
-	/** The top-left corner of the widget. */
+	// @formatter:on
+
+	/** The top-left corner of the widget. */ 
 	private WidgetCorner _d1;
 	/** The top-right corner of the widget. */
@@ -85,6 +87,11 @@
 	/** The bottom-right corner of the widget. */
 	private WidgetCorner _d3;
-	/** The bottom-left corner of the widget. */
+	///** The bottom-left corner of the widget. */
 	private WidgetCorner _d4;
+	
+	/** The Anchoring for the top-left corner of the widget */
+	private Anchoring _d1Anchoring = new Anchoring();
+	/** The Anchoring for the bottom-right corner of the widget */
+	private Anchoring _d3Anchoring = new Anchoring();
 
 	/** The top edge of the widget. */
@@ -112,7 +119,4 @@
 	/** The Expeditee item that is used for saving widget state. */
 	protected Text _textRepresentation;
-
-	/** The anchoring of the widget. */
-	protected Anchoring _anchoring = new Anchoring();
 
 	/**
@@ -735,17 +739,17 @@
 		sb.append(getClass().getName());
 
-		if (_anchoring.getLeftAnchor() != null) {
-		    sb.append(" --anchorLeft " + Math.round(_anchoring.getLeftAnchor()));
-		}
-		if (_anchoring.getRightAnchor() != null) {
-		    sb.append(" --anchorRight " + Math.round(_anchoring.getRightAnchor()));
-		}
-
-		if (_anchoring.getTopAnchor() != null) {
-		    sb.append(" --anchorTop " + Math.round(_anchoring.getTopAnchor()));
-		}
-
-		if (_anchoring.getBottomAnchor() != null) {
-		    sb.append(" --anchorBottom " + Math.round(_anchoring.getBottomAnchor()));
+		if (_d1Anchoring.getLeftAnchor() != null) {
+		    sb.append(" --anchorLeft " + Math.round(_d1Anchoring.getLeftAnchor()));
+		}
+		if (_d3Anchoring.getRightAnchor() != null) {
+		    sb.append(" --anchorRight " + Math.round(_d3Anchoring.getRightAnchor()));
+		}
+
+		if (_d1Anchoring.getTopAnchor() != null) {
+		    sb.append(" --anchorTop " + Math.round(_d1Anchoring.getTopAnchor()));
+		}
+
+		if (_d3Anchoring.getBottomAnchor() != null) {
+		    sb.append(" --anchorBottom " + Math.round(_d3Anchoring.getBottomAnchor()));
 		}
 
@@ -1807,5 +1811,5 @@
 	public void setAnchorLeft(final Integer anchor)
 	{
-		_anchoring.setLeftAnchor(anchor);
+		_d1Anchoring.setLeftAnchor(anchor);
 		// Anchor left-edge corners (dots) as well
 		_d1.setAnchorCornerX(anchor,null); 
@@ -1822,5 +1826,5 @@
 
 	public void setAnchorRight(final Integer anchor) {
-		_anchoring.setRightAnchor(anchor);
+		_d3Anchoring.setRightAnchor(anchor);
 		// Anchor right-edge corners (dots) as well
 		_d2.setAnchorCornerX(null,anchor); // right
@@ -1832,5 +1836,5 @@
 		}
 		
-		if (_anchoring.getLeftAnchor() == null) {
+		if (_d1Anchoring.getLeftAnchor() == null) {
 			// Prefer having the X-rayable item at anchorLeft position (if defined) over moving to anchorRight
 			getCurrentRepresentation().setAnchorRight(anchor);
@@ -1839,5 +1843,5 @@
 	
 	public void setAnchorTop(final Integer anchor) {
-		_anchoring.setTopAnchor(anchor);
+		_d1Anchoring.setTopAnchor(anchor);
 		// Anchor top-edge corners (dots) as well
 		_d1.setAnchorCornerY(anchor,null);
@@ -1854,5 +1858,5 @@
 
 	public void setAnchorBottom(final Integer anchor) {
-		_anchoring.setBottomAnchor(anchor);
+		_d3Anchoring.setBottomAnchor(anchor);
 		// Anchor bottom-edge corners (dots) as well
 		_d3.setAnchorCornerY(null,anchor); 
@@ -1864,5 +1868,5 @@
 		}
 		
-		if (_anchoring.getTopAnchor() == null) {
+		if (_d1Anchoring.getTopAnchor() == null) {
 		    // Prefer having the X-rayable item at anchorTop position (if defined) over moving to anchorBottom
 			getCurrentRepresentation().setAnchorBottom(anchor);
@@ -1876,9 +1880,9 @@
 
 	public boolean isAnchoredX() {
-		return _anchoring.isXAnchored();
+		return _d1Anchoring.isXAnchored() || _d3Anchoring.isXAnchored();
 	}
 
 	public boolean isAnchoredY() {
-		return _anchoring.isYAnchored();
+		return _d1Anchoring.isYAnchored() || _d3Anchoring.isYAnchored();
 	}
 	