Index: /trunk/src/org/expeditee/gio/GraphicsManager.java
===================================================================
--- /trunk/src/org/expeditee/gio/GraphicsManager.java	(revision 1544)
+++ /trunk/src/org/expeditee/gio/GraphicsManager.java	(revision 1545)
@@ -156,4 +156,7 @@
 	public abstract void setAntialiasing(boolean on);
 	
+	public abstract void setTransientAntialiasingOn();
+	public abstract void setTransientAntialiasingOff();
+	
 	/** Sets the default font for the current rendering surface. */
 	public abstract void setFont(Font font);
Index: /trunk/src/org/expeditee/gio/javafx/JavaFXGraphicsManager.java
===================================================================
--- /trunk/src/org/expeditee/gio/javafx/JavaFXGraphicsManager.java	(revision 1544)
+++ /trunk/src/org/expeditee/gio/javafx/JavaFXGraphicsManager.java	(revision 1545)
@@ -314,4 +314,12 @@
 		// TODO: Implement. cts16
 	}
+	
+	public void setTransientAntialiasingOn() {
+		// TODO: Implement. Bryce 
+	}
+	
+	public void setTransientAntialiasingOff() {
+		// TODO: Implement. Bryce
+	}
 
 	@Override
Index: /trunk/src/org/expeditee/gio/swing/SwingGraphicsManager.java
===================================================================
--- /trunk/src/org/expeditee/gio/swing/SwingGraphicsManager.java	(revision 1544)
+++ /trunk/src/org/expeditee/gio/swing/SwingGraphicsManager.java	(revision 1545)
@@ -185,5 +185,7 @@
 		_surfaceStack.getCurrentSurface().setComposite(AlphaComposite.getInstance(AlphaComposite.SRC_OVER, alpha));
 	}
-
+	
+	private boolean frameUsingAntialiasing = false;
+	
 	@Override
 	public void setAntialiasing(boolean on) {
@@ -197,18 +199,27 @@
 
 		if (on) {
-			if (hasAntialiasing) {
-				//return;
-			}
 			surface.setRenderingHint(RenderingHints.KEY_ANTIALIASING, RenderingHints.VALUE_ANTIALIAS_ON);
-			hasAntialiasing = true;
+			frameUsingAntialiasing = true;
 		} else {
-			if (hasAntialiasing) {
-				//return;
-			}
 			surface.setRenderingHint(RenderingHints.KEY_ANTIALIASING, RenderingHints.VALUE_ANTIALIAS_OFF);
+			frameUsingAntialiasing = false;
 		}
 	}
 	
-	private static boolean hasAntialiasing = false;
+	@Override
+	public void setTransientAntialiasingOn() {
+		if (!frameUsingAntialiasing) {
+			Graphics2D surface = _surfaceStack.getCurrentSurface();
+			surface.setRenderingHint(RenderingHints.KEY_ANTIALIASING, RenderingHints.VALUE_ANTIALIAS_ON);
+		}
+	}
+	
+	@Override
+	public void setTransientAntialiasingOff() {
+		if (!frameUsingAntialiasing) {
+			Graphics2D surface = _surfaceStack.getCurrentSurface();
+			surface.setRenderingHint(RenderingHints.KEY_ANTIALIASING, RenderingHints.VALUE_ANTIALIAS_OFF);
+		}
+	}
 
 	@Override
@@ -591,5 +602,5 @@
 	public void refreshRootSurface() {
 		Graphics2D rootSurface = (Graphics2D) _jFrame.getContentPane().getGraphics();
-		setAntialiasing(rootSurface, true);
+		rootSurface.setRenderingHint(RenderingHints.KEY_ANTIALIASING, RenderingHints.VALUE_ANTIALIAS_ON);
 		final java.awt.Font rootSurfaceFont = rootSurface.getFont().deriveFont(40f);
 		rootSurface.setFont(rootSurfaceFont);
Index: /trunk/src/org/expeditee/items/Dot.java
===================================================================
--- /trunk/src/org/expeditee/items/Dot.java	(revision 1544)
+++ /trunk/src/org/expeditee/items/Dot.java	(revision 1545)
@@ -27,4 +27,5 @@
 import org.expeditee.core.Fill;
 import org.expeditee.core.Point;
+import org.expeditee.core.Stroke;
 import org.expeditee.core.bounds.AxisAlignedBoxBounds;
 import org.expeditee.core.bounds.Bounds;
@@ -234,9 +235,7 @@
 			} else if (_highlightMode == HighlightMode.Connected) {
 				g.drawRectangle(bounds.getTopLeft(), bounds.getSize(), 0.0f, null, highlightColor, HIGHLIGHT_STROKE, null);
-				System.err.println("Dot::paint:Painting Dot with colour: " + highlightColor);
 			} else if (_highlightMode == HighlightMode.Normal) {
 				g.drawOval(bounds.getCentre(), bounds.getSize(), 0.0f, fill, highlightColor, DOT_STROKE);
 			}
-			// System.out.println(_mode.toString());
 		}
 
Index: /trunk/src/org/expeditee/items/Item.java
===================================================================
--- /trunk/src/org/expeditee/items/Item.java	(revision 1544)
+++ /trunk/src/org/expeditee/items/Item.java	(revision 1545)
@@ -105,5 +105,5 @@
 	public static final Float DEFAULT_THICKNESS = 2f;
 
-	public static final Float MINIMUM_THICKNESS = 0f;
+	public static final Float MINIMUM_THICKNESS = 1f;
 
 	public static final Float MINIMUM_PAINT_THICKNESS = 1f;
@@ -3170,5 +3170,5 @@
 
 			// Small circles look rubbish without AA. cts16
-			g.setAntialiasing(true);
+			g.setTransientAntialiasingOn();
 			
 			if (hasLink && getLinkMark()) {
@@ -3190,5 +3190,5 @@
 			}
 			
-			g.setAntialiasing(false);
+			g.setTransientAntialiasingOff();
 		}
 	}
@@ -3208,8 +3208,8 @@
 		
 		GraphicsManager g = EcosystemManager.getGraphicsManager();
-		g.setAntialiasing(true);
+		g.setTransientAntialiasingOn();
 		Font font = new Font();
 		g.drawString("\uD83D\uDD11", new Point(x,y), font, fontColour);
-		g.setAntialiasing(false);
+		g.setTransientAntialiasingOff();
 	}
 	
@@ -3218,8 +3218,8 @@
 		if (encryptionLabel != null && encryptionLabel.length() > 0) {
 			GraphicsManager g = EcosystemManager.getGraphicsManager();
-			g.setAntialiasing(true);
+			g.setTransientAntialiasingOn();
 			Font font = new Font();
 			g.drawString("\uD83D\uDD12", new Point(x,y), font, Colour.BLACK);
-			g.setAntialiasing(false);
+			g.setTransientAntialiasingOff();
 		}
 	}
Index: /trunk/src/org/expeditee/items/Line.java
===================================================================
--- /trunk/src/org/expeditee/items/Line.java	(revision 1544)
+++ /trunk/src/org/expeditee/items/Line.java	(revision 1545)
@@ -535,7 +535,7 @@
 		GraphicsManager g = EcosystemManager.getGraphicsManager();
 		
-		g.setAntialiasing(true);
+		g.setTransientAntialiasingOn();
 		g.drawPolygon(arrow.close(), null, null, 0.0f, arrowFill, arrowColour, arrowStroke);
-		g.setAntialiasing(false); 
+		g.setTransientAntialiasingOff();
 	}
 