Index: /trunk/src/org/apollo/widgets/SampledTrack.java
===================================================================
--- /trunk/src/org/apollo/widgets/SampledTrack.java	(revision 1556)
+++ /trunk/src/org/apollo/widgets/SampledTrack.java	(revision 1557)
@@ -2102,9 +2102,4 @@
 		    AudioFormat sourceFormat = sourceStream.getFormat();
 
-		    // is already mono?
-		    /*if(sourceFormat.getChannels() == 1) {
-		        return sourceStream;
-		    }
-*/
 		    if (sourceFormat.getChannels() > 1) {
 		    
@@ -2126,13 +2121,13 @@
 		    }
 		    
-		    // better to express in terms of targetFormat !!!
+		    // **** better to express in terms of targetFormat !!!
 		    boolean is_signed = (sourceFormat.getEncoding() == Encoding.PCM_SIGNED);
 		    
 			TarsosDSPAudioFormat ts_audioFormat = new TarsosDSPAudioFormat(
-					  /* sample rate */ sourceFormat.getSampleRate(),
-					  /* HERE sample size in bits */ sourceFormat.getSampleSizeInBits(),  
-					  /* number of channels */ 1,
-					  /* signed/unsigned data */ is_signed,
-					  /* big-endian byte order */sourceFormat.isBigEndian()
+					  sourceFormat.getSampleRate(),
+					   sourceFormat.getSampleSizeInBits(),  
+					  1,
+					  is_signed,
+					  sourceFormat.isBigEndian()
 					);
 			
@@ -2169,5 +2164,4 @@
 					// Need to make 44.1 kHz mono version (if does not already exist)
 					
-					
 					String orig_local_filename_root = orig_local_filename.substring(0,orig_local_filename.lastIndexOf('.'));
 				
@@ -2187,32 +2181,5 @@
 						UniversalAudioInputStream mono_audio_input_stream = convertToMono(orig_audio_input_stream);
 						TarsosDSPAudioFormat ts_audioFormat = mono_audio_input_stream.getFormat();
-						
-						//AudioFormat mono_format = mono_audio_input_stream.getFormat();
-						
-						
-						
-						
-						//double orig_sample_rate = orig_format.getSampleRate();
-						//double mono_sample_rate = mono_format.getSampleRate();
-						
-						
-						//https://stackoverflow.com/questions/31365172/tarsosdsp-pitch-detection-from-wav-file-and-the-result-frequency-is-always-les
-						/*
-						InputStream is = new FileInputStream(orig_source_file);
-						
-						TarsosDSPAudioFormat ts_audioFormat = new TarsosDSPAudioFormat(
-						  / * sample rate * / 44100,
-						  / * HERE sample size in bits * / 16,  // used to be 32
-						  / * number of channels * / 1,
-						  / * signed/unsigned data * / true,
-						  / * big-endian byte order * / false
-						);
-						UniversalAudioInputStream uis = new UniversalAudioInputStream(is, ts_audioFormat);
-						
-						*/
-						
-						//AudioDispatcher dispatcher = new AudioDispatcher(uis, 2048, 0);
-
-						
+												
 						
 						// Consider allowing finer grained control of WSOLA params through @annotations:
@@ -2226,5 +2193,4 @@
 						WaveformWriter stretched_target_writer = new WaveformWriter(ts_audioFormat,stretched_target);
 
-						//AudioDispatcher dispatcher = AudioDispatcherFactory.fromFile(orig_source_file,wsola.getInputBufferSize(),wsola.getOverlap());
 						AudioDispatcher dispatcher = new AudioDispatcher(mono_audio_input_stream,wsola.getInputBufferSize(),wsola.getOverlap());
 						wsola.setDispatcher(dispatcher);
@@ -2234,6 +2200,4 @@
 						dispatcher.run();
 						System.out.println("... done");
-
-						//AudioFormat stretched_target_format = AudioSystem.getAudioFileFormat(stretched_target_file).getFormat();	
 
 					}
@@ -2308,16 +2272,11 @@
 					// Conditions are right, to play!
 					
-					/*
 					Frame current = DisplayController.getCurrentFrame();
 					// Or perhaps (??) we should be getting the current frame via:
 					//Frame current = getSource().getParentOrCurrentFrame();
 					
-					//Text time_stretch_annotation = current.getAnnotation("TimeStretchFactor");
 					String time_stretch_annotation_valuestr = current.getAnnotationValue("TimeStretchFactor");
 					
 					if (time_stretch_annotation_valuestr != null) {
-						//String time_stretch_str = time_stretch_annotation.getText();
-						//time_stretch_str = time_stretch_str.replaceFirst("^\\s*@time-stretch-factor(:?)\\s*","");
-						//System.out.println("**** time stretch str = " + time_stretch_annotation_valuestr);
 						
 						double time_stretch = Double.parseDouble(time_stretch_annotation_valuestr);
@@ -2330,6 +2289,4 @@
 						}
 					}
-					*/
-				
 					
 					SoundDesk.getInstance().playSampledTrackModel(